Bug 1007487 - [enigne-backend] [external-provider] It is possible to add the same external provider configuration more than once to RHEVM
[enigne-backend] [external-provider] It is possible to add the same external ...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
x86_64 Unspecified
unspecified Severity high
: ---
: 3.4.0
Assigned To: Sergey Gotliv
Aharon Canan
storage
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 10:59 EDT by Elad
Modified: 2016-02-10 12:02 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-06 05:22:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs and DB info (331.40 KB, application/x-gzip)
2013-09-12 10:59 EDT, Elad
no flags Details

  None (edit)
Description Elad 2013-09-12 10:59:20 EDT
Created attachment 796909 [details]
logs and DB info

Description of problem:
User is able to add more than one external provider to RHEVM with the same authentication values (URL, pass, user, tenant name)

Version-Release number of selected component (if applicable):
rhevm-3.3.0-0.19.master.el6ev.noarch


How reproducible:


Steps to Reproduce:
Add the same exact provider twice (same URL, same User/Password) to RHEVM with different names


Actual results:

We are able to add the same authentication values of glance more than once to RHEVM

 name   | description |            url            |  provider_type  | auth_required | auth_username
---------+-------------+---------------------------+-----------------+---------------+---------------
 glance  |             | http://10.35.161.239:9292 | OPENSTACK_IMAGE | t             | admin
 glance2 |             | http://10.35.161.239:9292 | OPENSTACK_IMAGE | t             | admin
(2 rows)



Expected results:
Engine block us from doing so

Additional info: logs and DB info
Comment 1 Elad 2013-09-12 11:24:09 EDT
Expected results:
Engine should block us from doing so
Comment 2 Sergey Gotliv 2014-02-06 05:22:58 EST
Elad,

Today external providers in general not just a glance are validated only by name.
Let's assume user created the same configuration twice with different names - does it break something? Why do you think we have to prevent it?
Comment 3 Elad 2014-02-06 07:27:47 EST
(In reply to Sergey Gotliv from comment #2)
> Elad,
> 
> Today external providers in general not just a glance are validated only by
> name.
> Let's assume user created the same configuration twice with different names
> - does it break something? Why do you think we have to prevent it?

Sergey, I disagree with your opinion.

I think that for the good order in the system, user shouldn't be allowed to have more than one glance server configured in a single setup. The only use case I can think of in that convention would be if user would like to have the same AIO Openstack server to be integrated in RHEV with Glance and Neutron as external providers for images and networks. For that situation, it should be allowed to add the same server for each role only once.

In my opinion, this bug should be re-open and have lower priority/sevirity.
Comment 4 Elad 2014-02-06 07:28:07 EST
(In reply to Sergey Gotliv from comment #2)
> Elad,
> 
> Today external providers in general not just a glance are validated only by
> name.
> Let's assume user created the same configuration twice with different names
> - does it break something? Why do you think we have to prevent it?

Sergey, I disagree with your opinion.

I think that for the good order in the system, user shouldn't be allowed to have more than one glance server configured in a single setup. The only use case I can think of in that convention would be if user would like to have the same AIO Openstack server to be integrated in RHEV with Glance and Neutron as external providers for images and networks. For that situation, it should be allowed to add the same server for each role only once.

In my opinion, this bug should be re-open and have lower priority/sevirity.

Note You need to log in before you can comment on or make changes to this bug.